# `@salesforce-ux/c360-foundation`

## About

A set of foundations supporting the C360 Subsystem at Salesforce.
`c360-foundation` package contains the foundational styles  which includes `Typography`, `Font Face`, `Utilities`

## Getting Started
Let's start by installing `c360-foundation` as a dependency of your project with [npm](https://www.npmjs.com/package/@salesforce-ux/c360-foundation).
```
npm i @salesforce-ux/c360-foundation
```


## Usage

### Add C360 Foundation in HTML
You can use the HTML `<link>` to link to C360 Foundations as an external resource.

```html
<html>
  <head>
    <!-- Dependencies go here -->
    <link rel="stylesheet" href="...">
    
    <link rel="stylesheet" href="/node_modules/@salesforce-ux/c360-foundation/dist/index.css">
    <!-- Your application's stylesheets go below -->
    <link rel="stylesheet" href="...">
  </head>
  <body>
    <!-- Your application -->
  </body>
</html>
```

### Add C360 Foundation in CSS
You can use CSS `@imports` to pull in C360 Foundations.

```css
:root {
  @import "@salesforce-ux/c360-foundation/dist/index.css";
}

```

### Example

Below are a few examples of `Typography` which is part of `c360-Foundation`
```
<h1 type-style="display-1">Title display-1</h1>
```

```
<div type-style="body-1"><p type-style="code">Text body-1 code</p></div>
```
